Subject: Re: Anvil Ring: feature stories

From: [email-masked]
Date: Sat, 27 Jan 1996 23:28:08 -0500

George-
  This sounds like a great idea. I'm always inspired and educated when I have
the opportunity to visit someone's shop/studio. I had that pleasant
experience today at a quarterly meeting of the FL chapter of ABANA.  Besides
a full day of demonstrating by Roberta Elliot the attendees had the pleasure
of being in a clean , well organized, well equipped, metal studio. Including
some unique tools. Speaking about unique tools-can anybody tell me anything
about a Pullmax?
This is apparently an older,hydrolic machine that was used to work sheet
metal(dishing,grooving or veining, as well as cutting or nibbling circles up
to 5 1/2 to 6 ft. due to it's deep throat[up to 1/4"thick]) Any input would
be appreciated-How old,what industry, and most important of all where can I
get one? That's  more  than 2 cents so I'll sign off and just say if this
"feature" idea catches on maybe we can expand it to the WWW page.
P.S. George-Thanks-I got the WWW chapter page format disk. Looks like
something even I can do. Thanks again. I'll be in touch.
 Happy Hammering, 

Bill Roberts
Custom Design Metal Arts
3740 N.E. 40th Pl. #C
Ocala,FL 34479
Roberts [email-masked]
[email-masked]